#!/usr/bin/env bash

set -e

if [ ! "${NERSC_HOST}" == "" ]; then
   module load python virtualenv
else
   NERSC_HOST=$HOSTNAME
fi

if [ ! -d env${NERSC_HOST} ]; then
  echo "virtualenv env${NERSC_HOST}"
  virtualenv env${NERSC_HOST}
else
  echo "env${NERSC_HOST} already exists"
fi

if [ ! -f cloud-2.8.5.tar.gz ]; then
   echo "wget --no-check-certificate https://pypi.python.org/packages/source/c/cloud/cloud-2.8.5.tar.gz"
   wget --no-check-certificate https://pypi.python.org/packages/source/c/cloud/cloud-2.8.5.tar.gz
else
   echo "cloud-2.8.5.tar.gz already exists"

fi

if [ ! -f statistics-0.22.tar.gz ]; then
  echo " wget http://bonsai.hgc.jp/~mdehoon/software/python/Statistics/statistics-0.22.tar.gz"
  wget http://bonsai.hgc.jp/~mdehoon/software/python/Statistics/statistics-0.22.tar.gz
else
  echo "statistics-0.22.tar.gz already exists"
fi

source env${NERSC_HOST}/bin/activate
pip install numpy
if [ "`python -c 'import cloud; print(cloud.__version__)'`" != "2.8.5" ]; then
  echo "pip install --no-index cloud-2.8.5.tar.gz"
  pip install --no-index cloud-2.8.5.tar.gz
else
  echo "cloud module already exists"
fi
if [ "`python -c 'import statistics; print(statistics.mean([1,2,3,4,5]))'`" == "" ]; then
  echo "pip install --no-index statistics-0.22.tar.gz"
  pip install --no-index statistics-0.22.tar.gz
else
  echo "statistics module already exists"
fi

